<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme" %>

<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Map" %>

<liferay-theme:defineObjects />

<%
if (!themeDisplay.isSignedIn()) {
%>

	Please sign in to run the test.

<%
	return;
}

Map<String, Object> expectedValues = new HashMap<String, Object>();

expectedValues.put("liferay.company.id", user.getCompanyId());
expectedValues.put("liferay.user.id", user.getUserId());
expectedValues.put("user.name.full", user.getFullName());
%>

<table class="lfr-table">
<tr>
	<th>
		Key
	</th>
	<th>
		Expected Value
	</th>
	<th>
		Actual Value
	</th>
	<th></th>
</tr>

<%
Map userInfo = (Map)renderRequest.getAttribute(PortletRequest.USER_INFO);

if (userInfo != null) {
	for (Map.Entry entry : expectedValues.entrySet()) {
		String key = entry.getKey();
		String expectedValue = String.valueOf(entry.getValue());

		String actualValue = String.valueOf(userInfo.get(key));
%>

		<tr>
			<td>
				<%= key %>
			</td>
			<td>
				<%= expectedValue %>
			</td>
			<td>
				<%= actualValue %>
			</td>
			<td>

				<%
				if (expectedValue.equals(actualValue)) {
				%>

					PASSED

				<%
				}
				else {
				%>

					FAILED

				<%
				}
				%>

			</td>
		</tr>

<%
	}
}
else {
%>

	<tr>
		<td colspan="3"></td>
		</td>
			FAILED
		</td>
	</tr>

<%
}
%>

</table>